Subject: [PATCH 3/7] pinctrl: pinconf-generic: Allow driver to specify DT params

From: [email-masked] (Ivan T. Ivanov)
Date: Mon, 24 Nov 2014 10:52:17 +0200

On Sat, 2014-11-22 at 08:06 -0800, S?ren Brinkmann wrote:
> Hi Ivan,
> 
> On Fri, 2014-11-21 at 09:35AM +0200, Ivan T. Ivanov wrote:
> > On Thu, 2014-11-20 at 08:22 -0800, S?ren Brinkmann wrote:
> > > 
> > > Also, I hope all my changes here don't break the current behavior. So,
> > > those 27 driver should still be able to do what they currently do. But I
> > > hope they could migrated over to use the generic bindings only in the
> > > longer term, so that these custom properties disappear.
> > > 
> > > > > The pinctrl driver just assembles
> > > > > some data structure that has the information regarding custom properties
> > > > > and the core handles the rest.
> > > > 
> > > > Yup, that is nice. What will be really nice if it also handle custom,
> > > > "function", "groups" and "pins" properties. Otherwise most of the drivers
> > > > will not be able to benefit from this.
> > > 
> > > Why would you still need those?
> > 
> > I don't need them :-). The point was that still majority of the drivers
> > will have custom parsing functions. It would be nice if we could fix
> > that too. I do understand that using custom "pins", "functions"... is
> > something which is deprecated, but if core parsing functions allow
> > passing custom strings for above purposes, in a similar way as your
> > proposal, it will be easier for those drivers to migrate, I believe.
> 
> This does sound much more like a feature request than a fundamental
> problem with the implementation, now. And like Laurent's feature
> request, I'd like to turn this down. Otherwise this just gets hold up by
> feature requests blocking pinctrl-zynq.
> I think the interesting questions are:
> 1. Does it break any current user?
> 2. Is there anything fundamentally preventing adding your feature at
> some later time as part of such a migration you describe?

Well, as I said, this is just my opinion. Is up to Linus to decide.

Regards,
Ivan